/*
 * hash.c
 *
 *  Created on: 06.12.2016
 *      Author: pavel
 */


#include "lwip/arch.h"
#include "mbedtls/md5.h"
#include "hash.h"


void md5hash(unsigned char *hash, unsigned char *msg, unsigned int msg_len) {
	mbedtls_md5_context mdContext;

	mbedtls_md5_starts(&mdContext);
	mbedtls_md5_update(&mdContext, msg, msg_len);
	mbedtls_md5_finish(&mdContext, hash);
}
